Subject: bug#76980: [PATCH] 'window-state-normalize-buffer-name' variable for `uniquify' buffers

From: Ship Mints <[email-masked]>
Date: Thu, 13 Mar 2025 13:31:09 -0400

On Wed, Mar 12, 2025 at 12:48 PM Ship Mints <[email-masked]> wrote:

> If 'window-state-normalize-buffer-name' is non-nil, 'window-state-get'
> will normalize stored buffer names, making them easier to restore for
> users that use 'uniquify' buffer naming.
>
> I've been post-processing window states to deal with this and I think it
> should be built in.  Similar treatment exists in desktop.el.
>

Updated patch with NEWS and doc files mentioned in the commit log.